<?php

namespace Model;

class CoachAthlete extends Coach {
    private Training $arrayTraining;
    public function getUsersList(): ?array {
        if (!empty($this->usersList)) {
            return $this->usersList;
        }
        return null;
    }
    public function getUserList(User $user): User {
        foreach ($this->usersList as $existingUser) {
            if ($existingUser->getId() === $user->getId()) {
                return $user; // L'utilisateur est présent dans la liste
            }
        }
        return null; // L'utilisateur n'est pas dans la liste
    }
    public function CheckAdd(User $user) : bool {
        if($user->getRole() instanceof \Model\Athlete){
            return true;
        }
        return false;
    }
    public function addUser(User $user): bool {
        if($this->CheckAdd($user)){
            array_push($this->usersList, $user);
            return true;
        }
        return false;
    }
    public function removeUser(User $user): bool {
        if($this->CheckAdd($user)){
            $key = array_search($user, $this->usersList);
            if ($key !== false) {
                array_splice($this->usersList, $key, 1);
            }
            return true;
        }
        return false;
    }
}